org.codehaus.plexus.util.dag

## Class TopologicalSorter

- java.lang.Object
- - org.codehaus.plexus.util.dag.TopologicalSorter

    public class TopologicalSorter
    extends java.lang.Object

Version:
  $Id: TopologicalSorter.java 8010 2009-01-07 12:59:50Z vsiveton $
Author:
  Michal Maczka

### Constructor Summary

Constructors
Constructor and Description
`TopologicalSorter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.List` `sort(DAG graph)`
`static java.util.List` `sort(Vertex vertex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TopologicalSorter

    public TopologicalSorter()

### Method Detail

#### sort

    public static java.util.List sort(DAG graph)

Parameters:
  `graph` -
Returns:
  List of String (vertex labels)

#### sort

    public static java.util.List sort(Vertex vertex)